# Confidence, experiment 1
# Numbers from figure confidence2.pdf

tn <- NULL
tn[7] <- 25
tn[6] <- 13
tn[5] <- 13
tn[4] <- 2
tn[3] <- 1
tn[2] <- 0
tn[1] <- 0

td <- NULL
td[7] <- 45
td[6] <- 28
td[5] <- 16
td[4] <- 10
td[3] <- 2
td[2] <- 0
td[1] <- 0

sn <- NULL
sn[7] <- 16
sn[6] <- 17
sn[5] <- 11
sn[4] <- 1
sn[3] <- 2
sn[2] <- 0
sn[1] <- 0

sd <- NULL
sd[7] <- 41
sd[6] <- 33
sd[5] <- 18
sd[4] <- 10
sd[3] <- 1
sd[2] <- 0
sd[1] <- 0

sum(tn) + sum(td) + sum(sn) + sum(sd)

#### For reconstructing the figure in Illustrator

w_total <- 353
x_mid <- 254

v <- sd
n <- sum(v)
x0 <- x_mid - (v[1] + v[2] + v[3] + v[4]/2) / n * w_total
x <- x0
for (i in 1:7) {
  w <- v[i] / n * w_total
  cat(round((x+w/2)*100)/100, "px  ", round(w*100)/100, "px\n")
  x <- x + w
}

#### Bootstrap CIs

data_tn <- c(rep(7,tn[7]), rep(6,tn[6]), rep(5,tn[5]), rep(4,tn[4]), rep(3,tn[3]), rep(2,tn[2]), rep(1,tn[1]))

data_td <- c(rep(7,td[7]), rep(6,td[6]), rep(5,td[5]), rep(4,td[4]), rep(3,td[3]), rep(2,td[2]), rep(1,td[1]))

data_sn <- c(rep(7,sn[7]), rep(6,sn[6]), rep(5,sn[5]), rep(4,sn[4]), rep(3,sn[3]), rep(2,sn[2]), rep(1,sn[1]))

data_sd <- c(rep(7,sd[7]), rep(6,sd[6]), rep(5,sd[5]), rep(4,sd[4]), rep(3,sd[3]), rep(2,sd[2]), rep(1,sd[1]))

data_nodecoy <- c(data_tn, data_sn)
data_decoy <- c(data_td, data_sd)

meanCI(data_decoy)
meanCI(data_nodecoy)

(tn[5] + tn[6] + tn[7]) / sum(tn) * 100
meanCI(data_tn)
(td[5] + td[6] + td[7]) / sum(td) * 100
meanCI(data_td)
(sn[5] + sn[6] + sn[7]) / sum(sn) * 100
meanCI(data_sn)
(sd[5] + sd[6] + sd[7]) / sum(sd) * 100
meanCI(data_sd)


#
# Crowdsource data
#

#We hired 558 crowdsource workers where, according to our rejection criteria developed in section 3.1.5, we had 305 green participants (ËIJ55%) that we kept in our analysis, 61 orange ones (ËIJ11 %) plus one person that chose decoy and 191 red (ËIJ34%) where among them 36 gave wrong completion codes (giving invalid characters as completion code, 76 duplicates (people who did the study twice), 2 conflicts (different people giving the same completion code) and 77 other bad behavior (e.g. failing table test).

submissions <- 558

green_ok <- 305
green_chosedecoy <- 1
green <- green_ok + green_chosedecoy

orange <- 61

red <- 191
red_wrongcode <- 36 + 2
red_duplicate <- 76
red_other <- 77

#### check

# 191 -> OK
red_wrongcode + red_duplicate + red_other 
# 558 -> OK
orange + green + red

#### ignore wrong codes

red_true <- red - red_wrongcode
submissions_true <- submissions - red_wrongcode

# Percents to report

round((red_true + orange) / submissions_true * 100)
round(green / submissions_true * 100)
round(orange / submissions_true * 100)
round(red_true / submissions_true * 100)
round(red_duplicate / submissions_true * 100)
